# info: http://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo

Name: foo2svi
Version: 1.1
Release: 1
Summary: SVI video encoder
Group: Applications/Multimedia
License: GPLv3
URL: http://nikosapi.org/wiki/index.php/Foo2svi
Source0: http://nikosapi.org/software/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: python >= 2.5
Requires: pygtk2 >= 2.11
Requires: mencoder
Requires: mplayer

%description
%{name} is a mencoder/mplayer frontend to convert video the Samsung Audio
Video interleaving (SVI) format. The format is a standard xvid+mp3 avi but
with no b-frames and the video must fit into to player's screen dimensions.

%{name} is able to detect black bars and crop them out as well as resizing
the video with respect to it's aspect ratio.

%prep
%setup

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/pixmaps \
    %{buildroot}%{_datadir}/applications

make install-no-update DESTDIR=%{buildroot}


%post
update-desktop-database %{_datadir}/applications/

%postun
update-desktop-database %{_datadir}/applications/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/foo2svi
%{_datadir}/pixmaps/foo2svi.svg
%{_datadir}/pixmaps/foo2svi.png
%{_datadir}/applications/foo2svi.desktop

%changelog
* Sun Aug 3 2008 nikosapi <me@nikosapi.org> 1.1
- Added drag and drop support
- Added config options to set audio bitrate and cropdetect:limit
- Fixed up the About window
- Added actions for the file and help menus
- Use gobject.timeout_add instead of threading for encoder updates

* Sun Jul 27 2008 nikosapi <me@nikosapi.org> 1.0
- Initial revision.
